/**
 * Here defined all constatnst that used in dashboard container for all process.
 * @author hsandhu
 */

const GET_ENVIRONMENT_INFO = 'GET_ENVIRONMENT_INFO';
const GET_ENVIRONMENT_INFO_SUCCESS = 'GET_ENVIRONMENT_INFO_SUCCESS';
const GET_ENVIRONMENT_INFO_ERROR = 'GET_DASHBOARD_INFO_ERROR';

const GET_PROGRAME_DETAIL_INFO = 'GET_PROGRAME_DETAIL_INFO';
const GET_PROGRAME_DETAIL_INFO_SUCCESS = 'GET_PROGRAME_DETAIL_INFO_SUCCESS';
const GET_PROGRAME_DETAIL_INFO_ERROR = 'GET_PROGRAME_DETAIL_INFO_ERROR';

const GET_PROGRAME_TYPE_DETAIL_INFO = 'GET_PROGRAME_TYPE_DETAIL_INFO';
const GET_PROGRAME_TYPE_DETAIL_INFO_SUCCESS = 'GET_PROGRAME_TYPE_DETAIL_INFO_SUCCESS';
const GET_PROGRAME_TYPE_DETAIL_INFO_ERROR = 'GET_PROGRAME_TYPE_DETAIL_INFO_ERROR';

const GET_APP_LIST_INFO = 'GET_APP_LIST_INFO';
const GET_APP_LIST_INFO_SUCCESS = 'GET_APP_LIST_INFO_SUCCESS';
const GET_APP_LIST_INFO_ERROR = 'GET_APP_LIST_INFO_ERROR';

const GET_APP_PROGRAM_LIST_INFO = 'GET_APP_PROGRAM_LIST_INFO';
const GET_APP_PROGRAM_LIST_INFO_SUCCESS = 'GET_APP_PROGRAM_LIST_INFO_SUCCESS';
const GET_APP_PROGRAM_LIST_INFO_ERROR = 'GET_APP_PROGRAM_LIST_INFO_ERROR';

const ADD_DEPLOYMENT_REQUEST = 'ADD_DEPLOYMENT_REQUEST';
const ADD_DEPLOYMENT_REQUEST_SUCCESS = 'ADD_DEPLOYMENT_REQUEST_SUCCESS';
const ADD_DEPLOYMENT_REQUEST_ERROR = 'ADD_DEPLOYMENT_REQUEST_ERROR';

const GET_VERSION_REQUEST = 'GET_VERSION_REQUEST';
const GET_VERSION_REQUEST_SUCCESS = 'GET_VERSION_REQUEST_SUCCESS';
const GET_VERSION_REQUEST_ERROR = 'GET_VERSION_REQUEST_ERROR';

const GET_INFRA_HEALTH_CHECK = 'GET_INFRA_HEALTH_CHECK';
const GET_INFRA_HEALTH_CHECK_SUCCESS = 'GET_INFRA_HEALTH_CHECK_SUCCESS';
const GET_INFRA_HEALTH_CHECK_ERROR = 'GET_INFRA_HEALTH_CHECK_ERROR';

const GET_ANCHOR_STATUS_CHECK = 'GET_ANCHOR_STATUS_CHECK';
const GET_ANCHOR_STATUS_CHECK_SUCCESS = 'GET_ANCHOR_STATUS_CHECK_SUCCESS';
const GET_ANCHOR_STATUS_CHECK_ERROR = 'GET_ANCHOR_STATUS_CHECK_ERROR';

const GET_INSTANCE_STATUS_CHECK = 'GET_INSTANCE_STATUS_CHECK';
const GET_INSTANCE_STATUS_CHECK_SUCCESS = 'GET_INSTANCE_STATUS_CHECK_SUCCESS';
const GET_INSTANCE_STATUS_CHECK_ERROR = 'GET_INSTANCE_STATUS_CHECK_ERROR';

export {
  GET_ENVIRONMENT_INFO, GET_ENVIRONMENT_INFO_SUCCESS, GET_ENVIRONMENT_INFO_ERROR,
  GET_PROGRAME_DETAIL_INFO, GET_PROGRAME_DETAIL_INFO_SUCCESS, GET_PROGRAME_DETAIL_INFO_ERROR,
  GET_PROGRAME_TYPE_DETAIL_INFO, GET_PROGRAME_TYPE_DETAIL_INFO_SUCCESS, GET_PROGRAME_TYPE_DETAIL_INFO_ERROR,
  GET_APP_LIST_INFO, GET_APP_LIST_INFO_SUCCESS, GET_APP_LIST_INFO_ERROR,
  GET_APP_PROGRAM_LIST_INFO, GET_APP_PROGRAM_LIST_INFO_SUCCESS, GET_APP_PROGRAM_LIST_INFO_ERROR,
  ADD_DEPLOYMENT_REQUEST, ADD_DEPLOYMENT_REQUEST_SUCCESS,ADD_DEPLOYMENT_REQUEST_ERROR,
  GET_VERSION_REQUEST, GET_VERSION_REQUEST_SUCCESS, GET_VERSION_REQUEST_ERROR,
  GET_INFRA_HEALTH_CHECK, GET_INFRA_HEALTH_CHECK_SUCCESS, GET_INFRA_HEALTH_CHECK_ERROR,
  GET_ANCHOR_STATUS_CHECK, GET_ANCHOR_STATUS_CHECK_SUCCESS, GET_ANCHOR_STATUS_CHECK_ERROR,
  GET_INSTANCE_STATUS_CHECK, GET_INSTANCE_STATUS_CHECK_SUCCESS, GET_INSTANCE_STATUS_CHECK_ERROR
};
